Bug 894881

Summary: Review Request: python-power - Cross-platform system power status information
Product: [Fedora] Fedora Reporter: Miro Hrončok <mhroncok>
Component: Package ReviewAssignee: T.C. Hollingsworth <tchollingsworth>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: notting, package-review, tchollingsworth
Target Milestone: ---Flags: tchollingsworth: fedora‑review+
limburgher: fedora‑cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-01-28 10:07:22 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Miro Hrončok 2013-01-13 17:51:45 EST
Spec URL: https://github.com/hroncok/SPECS/raw/master/python-power.spec
SRPM URL: https://github.com/downloads/hroncok/SPECS/python-power-1.1-0.20121103git2cfe611.fc18.2.src.rpm
Description:

Python module that allows you to get power and battery status of the system.

Fedora Account System Username: churchyard
Comment 1 Miro Hrončok 2013-01-13 18:05:09 EST
Sorry, there was an error in the revision number:

Spec URL: https://github.com/hroncok/SPECS/raw/master/python-power.spec
SRPM URL: https://github.com/downloads/hroncok/SPECS/python-power-1.1-1.20121103git2cfe611.fc18.src.rpm
Comment 2 T.C. Hollingsworth 2013-01-13 21:44:24 EST
This FTBFS in Rawhide:

Mock Version: 1.1.28
ENTER do(['bash', '--login', '-c', 'rpmbuild -bs --target x86_64 --nodeps builddir/build/SPECS/python-power.spec'], False, '/var/lib/mock/fedora-rawhide-x86_64/root/', None, 0, True, False, 156815, 555, None, False, {'LANG': 'en_US.UTF-8', 'TERM': 'vt100', 'SHELL': '/bin/bash', 'HOSTNAME': 'mock', 'PROMPT_COMMAND': 'echo -n "<mock-chroot>"', 'HOME': '/builddir', 'PATH': '/usr/bin:/bin:/usr/sbin:/sbin'}, logger=<mockbuild.trace_decorator.getLog object at 0x1532610>)
Executing command: ['bash', '--login', '-c', 'rpmbuild -bs --target x86_64 --nodeps builddir/build/SPECS/python-power.spec'] with env {'LANG': 'en_US.UTF-8', 'TERM': 'vt100', 'SHELL': '/bin/bash', 'HOSTNAME': 'mock', 'PROMPT_COMMAND': 'echo -n "<mock-chroot>"', 'HOME': '/builddir', 'PATH': '/usr/bin:/bin:/usr/sbin:/sbin'}
sh: /usr/bin/python: No such file or directory
sh: /usr/bin/python: No such file or directory
sh: /usr/bin/python: No such file or directory
Building target platforms: x86_64
Building for target x86_64
Wrote: /builddir/build/SRPMS/python-power-1.1-1.20121103git2cfe611.fc19.src.rpm
Child return code was: 0
LEAVE do --> 

ENTER do(['bash', '--login', '-c', 'rpmbuild -bb --target x86_64 --nodeps builddir/build/SPECS/python-power.spec'], False, '/var/lib/mock/fedora-rawhide-x86_64/root/', None, 0, True, False, 156815, 555, None, False, {'LANG': 'en_US.UTF-8', 'TERM': 'vt100', 'SHELL': '/bin/bash', 'HOSTNAME': 'mock', 'PROMPT_COMMAND': 'echo -n "<mock-chroot>"', 'HOME': '/builddir', 'PATH': '/usr/bin:/bin:/usr/sbin:/sbin'}, logger=<mockbuild.trace_decorator.getLog object at 0x1532610>)
Executing command: ['bash', '--login', '-c', 'rpmbuild -bb --target x86_64 --nodeps builddir/build/SPECS/python-power.spec'] with env {'LANG': 'en_US.UTF-8', 'TERM': 'vt100', 'SHELL': '/bin/bash', 'HOSTNAME': 'mock', 'PROMPT_COMMAND': 'echo -n "<mock-chroot>"', 'HOME': '/builddir', 'PATH': '/usr/bin:/bin:/usr/sbin:/sbin'}
Building target platforms: x86_64
Building for target x86_64
Executing(%prep): /bin/sh -e /var/tmp/rpm-tmp.c3hunY
+ umask 022
+ cd /builddir/build/BUILD
+ cd /builddir/build/BUILD
+ rm -rf Power-2cfe611348d84512a1590840a7e0d24bec1d1d93
+ /usr/bin/gzip -dc /builddir/build/SOURCES/python-power-1.1-2cfe611.tar.gz
+ /usr/bin/tar -xf -
+ STATUS=0
+ '[' 0 -ne 0 ']'
+ cd Power-2cfe611348d84512a1590840a7e0d24bec1d1d93
+ /usr/bin/chmod -Rf a+rX,u+w,g-w,o-w .
+ exit 0
Executing(%build): /bin/sh -e /var/tmp/rpm-tmp.IRigra
+ umask 022
+ cd /builddir/build/BUILD
+ cd Power-2cfe611348d84512a1590840a7e0d24bec1d1d93
+ CFLAGS='-O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4  -m64 -mtune=generic'
+ python setup.py build
Traceback (most recent call last):
  File "setup.py", line 5, in <module>
    from setuptools import setup
ImportError: No module named setuptools
error: Bad exit status from /var/tmp/rpm-tmp.IRigra (%build)
RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.IRigra (%build)
Child return code was: 1
EXCEPTION: Command failed. See logs for output.
 # ['bash', '--login', '-c', 'rpmbuild -bb --target x86_64 --nodeps builddir/build/SPECS/python-power.spec']
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/mockbuild/trace_decorator.py", line 70, in trace
    result = func(*args, **kw)
  File "/usr/lib/python2.7/site-packages/mockbuild/util.py", line 359, in do
    raise mockbuild.exception.Error, ("Command failed. See logs for output.\n # %s" % (command,), child.returncode)
Error: Command failed. See logs for output.
 # ['bash', '--login', '-c', 'rpmbuild -bb --target x86_64 --nodeps builddir/build/SPECS/python-power.spec']
LEAVE do --> EXCEPTION RAISED


Looks like you're missing BuildRequires on python-setuptools.
Comment 3 Miro Hrončok 2013-01-14 01:34:08 EST
Thanks for taking this.

Spec URL: https://github.com/hroncok/SPECS/raw/master/python-power.spec
SRPM URL: https://github.com/downloads/hroncok/SPECS/python-power-1.1-2.20121103git2cfe611.fc18.src.rpm

- Added python-setuptools BR
Comment 4 T.C. Hollingsworth 2013-01-14 14:08:50 EST
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed

Resolution:  APPROVED

==== Things to Consider ====

- This package does not contain a %check section.

  I don't see any tests in the package, but please verify that upstream does
  not offer test cases elsewhere.  If they do, they should be run during
  %check.

- This package does not ship a LICENSE file.

  Ask upstream to include one in a future release.

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[-]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 1 files have unknown license. Detailed output of
     licensecheck in /home/fedora/patches/894881-python-power/licensecheck.txt
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[x]: Package is not relocatable.
[x]: Requires correct, justified where necessary.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[-]: Large documentation must go in a -doc subpackage.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep
[x]: Python eggs must not download any dependencies during the build process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[?]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX / PatchY prefixed with %{name}.
[x]: SourceX is a working URL.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.
[-]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: python-power-1.1-2.20121103git2cfe611.fc19.src.rpm
          python-power-1.1-2.20121103git2cfe611.fc19.noarch.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint python-power
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
python-power-1.1-2.20121103git2cfe611.fc19.noarch.rpm (rpmlib, GLIBC filtered):
    
    python(abi) = 2.7



Provides
--------
python-power-1.1-2.20121103git2cfe611.fc19.noarch.rpm:
    
    python-power = 1.1-2.20121103git2cfe611.fc19



MD5-sum check
-------------
https://github.com/Kentzo/Power/archive/2cfe611348d84512a1590840a7e0d24bec1d1d93/python-power-1.1-2cfe611.tar.gz :
  CHECKSUM(SHA256) this package     : 90f0ddcef97384cd3503c4656caf037dbded920bb610f2078e6a00d136b01a81
  CHECKSUM(SHA256) upstream package : 90f0ddcef97384cd3503c4656caf037dbded920bb610f2078e6a00d136b01a81


Generated by fedora-review 0.3.1 (b71abc1) last change: 2012-10-16
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -b894881
Comment 5 Miro Hrončok 2013-01-14 18:46:45 EST
(In reply to comment #4)
> Resolution:  APPROVED
Thanks.

>   I don't see any tests in the package, but please verify that upstream does
>   not offer test cases elsewhere.  If they do, they should be run during
>   %check.
I don't think so.

> - This package does not ship a LICENSE file.
> 
>   Ask upstream to include one in a future release.
Done.
Comment 6 Miro Hrončok 2013-01-14 18:57:17 EST
New Package SCM Request
=======================
Package Name: python-power
Short Description: Cross-platform system power status information
Owners: churchyard
Branches: f17 f18
Comment 7 Jon Ciesla 2013-01-15 07:01:45 EST
Git done (by process-git-requests).
Comment 8 Fedora Update System 2013-01-16 21:51:21 EST
python-power-1.1-2.20121103git2cfe611.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python-power-1.1-2.20121103git2cfe611.fc17
Comment 9 Fedora Update System 2013-01-16 21:53:03 EST
python-power-1.1-2.20121103git2cfe611.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-power-1.1-2.20121103git2cfe611.fc18
Comment 10 Fedora Update System 2013-01-19 22:35:30 EST
python-power-1.1-2.20121103git2cfe611.fc18 has been pushed to the Fedora 18 testing repository.
Comment 11 Fedora Update System 2013-01-28 10:07:23 EST
python-power-1.1-2.20121103git2cfe611.fc17 has been pushed to the Fedora 17 stable repository.
Comment 12 Fedora Update System 2013-01-28 10:23:45 EST
python-power-1.1-2.20121103git2cfe611.fc18 has been pushed to the Fedora 18 stable repository.